body {
    margin: 0;
    background-color: #f9f9f9;
    font-family: 'Manrope', sans-serif;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 32px 48px;
}

.logo {
    display: flex;
    align-items: center;
}

.logo img {
    height: 80px;
}

.nav-links {
    display: flex;
    gap: 8px;
    list-style: none;
}

.nav-links a {
    text-decoration: none;
    color: #1a1a1a;
    font-weight: 600;
    transition: color 0.2s ease;
}

.nav-links a:hover {
    color: #6c63ff;
    cursor: pointer;
}

.nav-links a.active {
    color: #6c63ff;
    font-weight: 600;
}

.nav-links span {
    text-decoration: none;
    color: #1a1a1a;
    font-weight: 600;
    transition: color 0.2s ease;
}

.main {
    width: 100%;
    height: 100%;
    min-height: calc(70vh - 187px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 24px;
    box-sizing: border-box;
    font-family: 'Manrope', sans-serif;
}

.main form {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
    max-width: 60%;
}

.type-1 {
    padding: 12px 16px;
    border-radius: 12px;
    border: 1px solid #d7d7d7;
    font-size: 1rem;
    font-family: Manrope,sans-serif;
    font-weight: 600;
    background-color: #f7f7f7;
    width: 100%;
    resize: none;
    box-sizing: border-box;
    opacity: 0;
    transition: outline 0.3s ease, border 0.2s ease, box-shadow 0.2s ease;
}

#submit {
    padding: 12px 16px;
    border-radius: 12px;
    border: 1px solid #d7d7d7;
    font-size: 1rem;
    font-family: Manrope,sans-serif;
    font-weight: 600;
    background-color: #f7f7f7;
    width: 100%;
    display: inline-block;
    box-sizing: border-box;
    cursor: pointer;
    opacity: 0;
    transition: background-color 0.3s ease, transform 0.5s ease, box-shadow 0.2s ease;
    animation: load-in ease-in;
    animation-duration: 300ms;
    animation-fill-mode: forwards;
    animation-delay: 800ms;
    transform: translate(-2000%);
}

#submit:hover{
    background-color: #eaeaea;
    transform: scale(1.0005);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.type-1:focus {
    outline: none; 
    border: 1px solid #605bb4; 
    box-shadow: 0 0 5px rgba(108, 99, 255, 0.5); 
}

@keyframes load-in {
    0% {
        opacity: 0;
        transform: translate(0);
    }
    
    100% {
        opacity: 1;
        transform: translate(0);
    }
}

#name {
    animation: load-in ease-in;
    animation-duration: 200ms;
    animation-fill-mode: forwards;
    animation-delay: 200ms;
    transform: translate(-2000%);
}

#email {
    animation: load-in ease-in;
    animation-duration: 200ms;
    animation-fill-mode: forwards;
    animation-delay: 400ms;
    transform: translate(-2000%);
}

#message {
    animation: load-in ease-in;
    animation-duration: 250ms;
    animation-fill-mode: forwards;
    animation-delay: 600ms;
    transform: translate(-2000%);
}

#heading {
    animation: load-in-1 ease-in;
    animation-duration: 200ms;
    animation-fill-mode: forwards;
    transform: translate(-2000%);
}

@keyframes load-in-1 {
    0% {
        opacity: 0;
        transform: translateY(-15px);
    }
    
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

#heading-1 {
    width: 100%;
    height: 100%;
    min-height: calc(70vh - 187px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 24px;
    box-sizing: border-box;
    font-family: 'Manrope', sans-serif;
}

#heading-1 {
    animation: load-in-1 ease-in;
    animation-duration: 200ms;
    animation-fill-mode: forwards;
    transform: translate(-2000%);
}